#!/bin/sh

# @(#)55  1.2 src/cmdline/staging/bin/FIMAdmin.sh, amws.cmdline, fim611, 060808b 4/3/06 22:04:52
# (C) Copyright International Business Machines Corporation 2005. All rights 
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

# From FIM Build
FIM_LIB=../lib
LOCALE=${FIM_LIB}/itfim-locale.jar
CONSOLE_EXPORT=${FIM_LIB}/itfim-fimconsole-export.jar
METADATA=${FIM_LIB}/itfim-metadata.jar
COMMON=${FIM_LIB}/itfim-common.jar
MIDMGR=${FIM_LIB}/itfim-midmgr.jar
MIDMGROLD=${FIM_LIB}/itfim-midmgr-old.jar
MGMT_INTF=${FIM_LIB}/itfim-mgmt-intf.jar
RTE_CONF=${FIM_LIB}/itfim-rteconf.jar
LIBERTY_SCHEMA=${FIM_LIB}/itfim-liberty_schema.jar
XSS4J_DSIG=${FIM_LIB}/xss4j-dsig.jar
JLOG=${FIM_LIB}/jlog.jar

# From WebSphere
WAS_HOME=/opt/IBM/WebSphere/AppServer

WSADMIN=${WAS_HOME}/bin/wsadmin.sh

FIMCLASSPATH=${RTE_CONF}:${LOCALE}:${COMMON}:${MGMT_INTF}:${CONSOLE_EXPORT}:${METADATA}:${MIDMGROLD}:${MIDMGR}:${JLOG}:${LIBERTY_SCHEMA}:${XSS4J_DSIG}

SCRIPT_NAME=$1
shift;
echo "Enter user name: "
read USER
echo "Enter password: "
read PASSWD

${WSADMIN} -lang jython -user ${USER} -password ${PASSWD} -wsadmin_classpath ${FIMCLASSPATH} -f "${SCRIPT_NAME}" $@ 
